ovirt_service_expose_full_version = Module.new do
  def version
    # HACK: using full_version if available due to version being wrong, https://bugzilla.redhat.com/show_bug.cgi?id=1284654
    @version ||= full_version || product_info[:version]
  end

  private

  def full_version
    v = product_info[:full_version]
    return if v.blank?
    v = v.sub("-", ".").split(".")[0..3]
    Hash[[:major, :minor, :revision, :build].zip(v)]
  end
end

require 'ovirt'
Ovirt::Service.send(:prepend, ovirt_service_expose_full_version)
